Eclipse Platform Release 3.7

## org.eclipse.update.search
Interface IUpdateSearchResultCollector

All Known Subinterfaces:
  IUpdateSearchResultCollectorFromMirror

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateSearchResultCollector

Search results are collected by implementing this interface and passing it to the search request. If the implementation is visual, it is recommended that the match is shown as soon as it is collected (rather than kept in a list and presented at the end of the search).

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`void` `accept(IFeature match)` Deprecated. Called when a matching feature has been found during the search.

Method Detail

### accept

    void accept(IFeature match)

  Deprecated.
  Called when a matching feature has been found during the search.

  Parameters:
    `match` - the matching feature

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.